## ros-galactic-rosidl-generator-c 2.2.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(rosidl_generator_c C)

# Default to C11
if(NOT CMAKE_C_STANDARD)
  set(CMAKE_C_STANDARD 11)
endif()

if(CMAKE_COMPILER_IS_GNUCC OR CMAKE_C_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

find_package(ament_cmake_python REQUIRED)
find_package(ament_cmake_ros REQUIRED)

ament_export_dependencies(rosidl_cmake)
ament_export_dependencies(rosidl_typesupport_interface)
ament_index_register_resource("rosidl_generator_packages")

ament_python_install_package(${PROJECT_NAME})

if(BUILD_SHARED_LIBS)
  set(${PROJECT_NAME}_LIBRARY_TYPE "SHARED")
else()
  set(${PROJECT_NAME}_LIBRARY_TYPE "STATIC")
endif()

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  find_package(test_interface_files REQUIRED)
  find_package(rosidl_runtime_c REQUIRED)
  ament_lint_auto_find_test_dependencies()

  include(cmake/register_c.cmake)
  # Trick ament_target_dependencies() into thinking this package has been found
  set(rosidl_generator_c_FOUND "1")
  set(rosidl_generator_c_DIR "${CMAKE_CURRENT_SOURCE_DIR}/cmake")

  rosidl_generator_c_extras(
    "${CMAKE_CURRENT_SOURCE_DIR}/bin/rosidl_generator_c"
    "${CMAKE_CURRENT_SOURCE_DIR}/rosidl_generator_c/__init__.py"
    "${CMAKE_CURRENT_SOURCE_DIR}/resource"
  )

  rosidl_generate_interfaces(${PROJECT_NAME}_interfaces
    ${test_interface_files_MSG_FILES}
    ADD_LINTER_TESTS
    SKIP_INSTALL
  )

  add_executable(test_compilation_c test/test_compilation.c test/separate_compilation.c)
  add_executable(test_interfaces_c test/test_interfaces.c)
  add_executable(test_invalid_initialization_c test/test_invalid_initialization.c)

  ament_add_test(
    test_compilation_c
    COMMAND "$<TARGET_FILE:test_compilation_c>"
    GENERATE_RESULT_FOR_RETURN_CODE_ZERO
  )
  ament_add_test(
    test_interfaces_c
    COMMAND "$<TARGET_FILE:test_interfaces_c>"
    GENERATE_RESULT_FOR_RETURN_CODE_ZERO
  )
  ament_add_test(
    test_invalid_initialization_c
    COMMAND "$<TARGET_FILE:test_invalid_initialization_c>"
    GENERATE_RESULT_FOR_RETURN_CODE_ZERO
  )

  # include the built files directly, instead of their install location
  target_link_libraries(test_compilation_c
    ${PROJECT_NAME}_interfaces__${PROJECT_NAME}
    ${rosidl_runtime_c_LIBRARIES}
  )
  target_include_directories(test_compilation_c PUBLIC
    ${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}
    ${rosidl_runtime_c_INCLUDE_DIRS}
  )
  target_link_libraries(test_interfaces_c
    ${PROJECT_NAME}_interfaces__${PROJECT_NAME}
    ${rosidl_runtime_c_LIBRARIES}
  )
  target_include_directories(test_interfaces_c PUBLIC
    ${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}
    ${rosidl_runtime_c_INCLUDE_DIRS}
  )
  target_link_libraries(test_invalid_initialization_c
    ${PROJECT_NAME}_interfaces__${PROJECT_NAME}
    ${rosidl_runtime_c_LIBRARIES}
  )
  target_include_directories(test_invalid_initialization_c PUBLIC
    ${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}
    ${rosidl_runtime_c_INCLUDE_DIRS}
  )
endif()

ament_package(
  CONFIG_EXTRAS "rosidl_generator_c-extras.cmake.in"
)

install(
  PROGRAMS bin/rosidl_generator_c
  DESTINATION lib/rosidl_generator_c
)
install(
  DIRECTORY cmake resource
  DESTINATION share/${PROJECT_NAME}
)

=== debian/changelog ===
ros-galactic-rosidl-generator-c (2.2.3-1focal) focal; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Fri, 02 Dec 2022 08:00:00 -0000

ros-galactic-rosidl-generator-c (2.2.2-1focal) focal; urgency=high

  * Galactic backport of #648 <https://github.com/ros2/rosidl/issues/648> and #650 <https://github.com/ros2/rosidl/issues/650> (#668 <https://github.com/ros2/rosidl/issues/668>)
  * Contributors: Nikolai Morin

 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 28 Apr 2022 07:00:00 -0000

ros-galactic-rosidl-generator-c (2.2.1-1focal) focal; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 06 Apr 2021 07:00:00 -0000

ros-galactic-rosidl-generator-c (2.2.0-1focal) focal; urgency=high

  * Expose C code generation via rosidl generate CLI (#569 <https://github.com/ros2/rosidl/issues/569>)
  * Contributors: Michel Hidalgo

 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 18 Mar 2021 07:00:00 -0000

ros-galactic-rosidl-generator-c (2.1.0-1focal) focal; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 09 Mar 2021 08:00:00 -0000

ros-galactic-rosidl-generator-c (2.0.3-1focal) focal; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 25 Jan 2021 08:00:00 -0000

ros-galactic-rosidl-generator-c (2.0.2-1focal) focal; urgency=high

  * Strip action service suffixes from C include prefix (#538 <https://github.com/ros2/rosidl/issues/538>)
  * Update the maintainers of this repository. (#536 <https://github.com/ros2/rosidl/issues/536>)
  * Contributors: Chris Lalancette, Jacob Perron

 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 08 Dec 2020 08:00:00 -0000

ros-galactic-rosidl-generator-c (2.0.1-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Mon, 28 Sep 2020 07:00:00 -0000

ros-galactic-rosidl-generator-c (2.0.0-1focal) focal; urgency=high

  * Fix the declared language for a few packages (#530 <https://github.com/ros2/rosidl/issues/530>)
  * Contributors: Scott K Logan

 -- William Woodall <william@osrfoundation.org>  Thu, 24 Sep 2020 07:00:00 -0000

ros-galactic-rosidl-generator-c (1.1.0-1focal) focal; urgency=high

  * Do not depend on rosidl_runtime_c when tests are disabled (#503 <https://github.com/ros2/rosidl/issues/503>)
  * Contributors: Ben Wolsieffer

 -- William Woodall <william@osrfoundation.org>  Mon, 17 Aug 2020 07:00:00 -0000

ros-galactic-rosidl-generator-c (1.0.1-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Wed, 03 Jun 2020 07:00:00 -0000

ros-galactic-rosidl-generator-c (1.0.0-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Fri, 22 May 2020 07:00:00 -0000

ros-galactic-rosidl-generator-c (0.9.2-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Tue, 19 May 2020 07:00:00 -0000

ros-galactic-rosidl-generator-c (0.9.1-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Fri, 08 May 2020 07:00:00 -0000

ros-galactic-rosidl-generator-c (0.9.0-1focal) focal; urgency=high

  * Export targets in addition to include directories / libraries (#473 <https://github.com/ros2/rosidl/issues/473>)
  * Move non-entry point headers into detail subdirectory (#461 <https://github.com/ros2/rosidl/issues/461>)
  * Rename rosidl_generator_c 'namespace' to rosidl_runtime_c (#458 <https://github.com/ros2/rosidl/issues/458>)
  * Only export ament_cmake_core instead of ament_cmake (#459 <https://github.com/ros2/rosidl/issues/459>)
  * Split rosidl_generator_c and rosidl_generator_cpp in two: rosidl_generator_x and rosidl_runtime_x (#442 <https://github.com/ros2/rosidl/issues/442>)
  * Added rosidl_generator_c as a member of group rosidl_runtime_packages (#440 <https://github.com/ros2/rosidl/issues/440>)
  * Style update to match uncrustify with explicit language (#439 <https://github.com/ros2/rosidl/issues/439>)
  * Code style only: wrap after open parenthesis if not in one line (#435 <https://github.com/ros2/rosidl/issues/435>)
  * Use f-string (#436 <https://github.com/ros2/rosidl/issues/436>)
  * Move repeated logic for C include prefix into common function (#432 <https://github.com/ros2/rosidl/issues/432>)
  * Contributors: Alejandro Hernández Cordero, Dirk Thomas, Jacob Perron

 -- William Woodall <william@osrfoundation.org>  Fri, 24 Apr 2020 07:00:00 -0000

ros-galactic-rosidl-generator-c (0.8.2-1focal) focal; urgency=high

  * Fix double free issue when initialization is failed (#423 <https://github.com/ros2/rosidl/issues/423>)
  * Contributors: DongheeYe

 -- William Woodall <william@osrfoundation.org>  Fri, 17 Jan 2020 08:00:00 -0000

ros-galactic-rosidl-generator-c (0.8.1-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Wed, 23 Oct 2019 07:00:00 -0000

ros-galactic-rosidl-generator-c (0.8.0-1focal) focal; urgency=high

  * [rosidl_generator_c] Updated tests for new msg types from test_interface_files (#398 <https://github.com/ros2/rosidl/issues/398>)
  * use latin-1 encoding when reading/writing .idl files, prepend BOM to generated C/C++ files when necessary (#391 <https://github.com/ros2/rosidl/issues/391>)
  * Set _FOUND to trick ament_target_dependencies() for test (#396 <https://github.com/ros2/rosidl/issues/396>)
  * Contributors: Dirk Thomas, Shane Loretz, Siddharth Kucheria

 -- William Woodall <william@osrfoundation.org>  Tue, 24 Sep 2019 07:00:00 -0000

=== debian/control ===
Source: ros-galactic-rosidl-generator-c
Section: misc
Priority: optional
Maintainer: Chris Lalancette <clalancette@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-galactic-ament-cmake-gtest <!nocheck>, ros-galactic-ament-cmake-python, ros-galactic-ament-cmake-ros, ros-galactic-ament-lint-auto <!nocheck>, ros-galactic-ament-lint-common <!nocheck>, ros-galactic-rosidl-cmake <!nocheck>, ros-galactic-rosidl-runtime-c <!nocheck>, ros-galactic-test-interface-files <!nocheck>, ros-galactic-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-galactic-rosidl-generator-c
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-galactic-ament-cmake-core, ros-galactic-ament-index-python, ros-galactic-rosidl-cli, ros-galactic-rosidl-cmake, ros-galactic-rosidl-parser, ros-galactic-rosidl-typesupport-interface, ros-galactic-ros-workspace
Description: Generate the ROS interfaces in C.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/galactic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/galactic" \
		-DAMENT_PREFIX_PATH="/opt/ros/galactic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/galactic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-galactic-rosidl-generator-c//opt/ros/galactic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_install
